Subject: Re: [PATCH v2 06/15] rev-list: make --count work with --objects

From: Jeff King <[email-masked]>
Date: Tue, 18 Feb 2020 16:23:39 -0500

On Tue, Feb 18, 2020 at 01:19:51PM -0800, Junio C Hamano wrote:

> >> 	/*
> >> 	 * The object count is always accumulated in the .count_right
> >> 	 * field for traversal that is not a left-right traversal,
> >> 	 * and cmd_rev_list() made sure that a .count request that
> >> 	 * wants to count non-commit objects, which is handled by
> >> 	 * the show_object() callback, does not ask for .left_right.
> >> 	 */
> >> 
> >> Overkill?  I dunno.
> >
> > No, I think it looks good. Want to squash that in (and I'll do likewise
> > locally)?
> 
> It's too late for squashing anything in, as they are in 'next'
> already.

Ah, I hadn't noticed that yet. I can live without it, but I'd also be OK
with a patch on top if you want to add it.

-Peff